MetricsProviderLifeCycleException (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.metrics

## Class MetricsProviderLifeCycleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.zookeeper.metrics.MetricsProviderLifeCycleException

- All Implemented Interfaces:
    Serializable

      public class MetricsProviderLifeCycleException
      extends Exception

  A generic exception thrown during the licecycle of a MetricsProvider.

  These exception will prevent the system from booting.

  Normally these exception will be ignored during shutdown.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetricsProviderLifeCycleException()`
    `MetricsProviderLifeCycleException(String message)`
    `MetricsProviderLifeCycleException(String message, Throwable cause)`
    `MetricsProviderLifeCycleException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MetricsProviderLifeCycleException

          public MetricsProviderLifeCycleException()

    - #### MetricsProviderLifeCycleException

          public MetricsProviderLifeCycleException(String message)

    - #### MetricsProviderLifeCycleException

          public MetricsProviderLifeCycleException(String message,
                                                   Throwable cause)

    - #### MetricsProviderLifeCycleException

          public MetricsProviderLifeCycleException(Throwable cause)

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.